Skip to content
v2.274.0

DatadogProps Struct ​

Props for defining a Datadog destination of a Kinesis Data Firehose delivery stream.

Example ​

ts
import * as secretsmanager from 'aws-cdk-lib/aws-secretsmanager';

declare const apiKey: secretsmanager.Secret;
const datadogDestination = new firehose.Datadog({
  apiKey,
  endpoint: firehose.DatadogEndpoint.LOGS_US1,
});

Properties ​

apiKeyISecretapi_keyISecretapiKeyISecretApiKeyISecretApiKeyISecretrequired#
The API key used to authenticate with Datadog.

Delivered to Firehose through AWS Secrets Manager (Firehose retrieves it at runtime rather than embedding it in the template).

backupModeoptionalHttpBackupModebackup_modeoptionalHttpBackupModebackupModeoptionalHttpBackupModeBackupModeoptionalHttpBackupModeBackupModeoptionalHttpBackupMode= HttpBackupMode.FAILED#
Describes the S3 bucket backup options for the data that Kinesis Data Firehose delivers to Datadog.
bufferingHintsoptionalHttpBufferingHintsbuffering_hintsoptionalHttpBufferingHintsbufferingHintsoptionalHttpBufferingHintsBufferingHintsoptionalHttpBufferingHintsBufferingHintsoptionalHttpBufferingHints#
Buffering hints for data delivery to the Datadog endpoint.

Default: interval of 60 seconds, size of 4 MiB

The Datadog endpoint to send data to.
loggingConfigoptionalILoggingConfiglogging_configoptionalILoggingConfigloggingConfigoptionalILoggingConfigLoggingConfigoptionalILoggingConfigLoggingConfigoptionalILoggingConfig#
Configuration that determines whether to log errors during data transformation or delivery failures, and specifies the CloudWatch log group for storing error logs.

Default: errors will be logged and a log group will be created for you.

processoroptionalIDataProcessorprocessoroptionalIDataProcessorprocessoroptionalIDataProcessorProcessoroptionalIDataProcessorProcessoroptionalIDataProcessordeprecated#
Use `processors` instead.

Default: no data transformation will occur.

processorsoptionalIDataProcessor[]processorsoptionaltyping.List[IDataProcessor]processorsoptionalList<IDataProcessor>ProcessorsoptionalIDataProcessor[]Processorsoptional*[]IDataProcessor#
The data transformation that should be performed on the data before writing to the destination.

Default: no data transformation will occur.

requestCompressionoptionalHttpCompressionrequest_compressionoptionalHttpCompressionrequestCompressionoptionalHttpCompressionRequestCompressionoptionalHttpCompressionRequestCompressionoptionalHttpCompression= HttpCompression.GZIP#
Content encoding applied to the request body before delivery.
retryOptionsoptionalHttpRetryOptionsretry_optionsoptionalHttpRetryOptionsretryOptionsoptionalHttpRetryOptionsRetryOptionsoptionalHttpRetryOptionsRetryOptionsoptionalHttpRetryOptions#
Retry behavior when Kinesis Data Firehose cannot deliver data to Datadog.

Default: duration of 60 seconds

roleoptionalIRoleroleoptionalIRoleroleoptionalIRoleRoleoptionalIRoleRoleoptionalIRole#
The IAM role associated with this destination.

Default: a role will be created with default permissions.

Assumed by Amazon Data Firehose to invoke processors and write to destinations

s3BackupoptionalDestinationS3BackupPropss3_backupoptionalDestinationS3BackupPropss3BackupoptionalDestinationS3BackupPropsS3BackupoptionalDestinationS3BackupPropsS3BackupoptionalDestinationS3BackupProps#
The configuration for backing up source records to S3.

Default: source records will not be backed up to S3.

tagsoptionalHttpAttribute[]tagsoptionaltyping.List[HttpAttribute]tagsoptionalList<HttpAttribute>TagsoptionalHttpAttribute[]Tagsoptional*[]HttpAttribute#
Datadog tags to apply for filtering.

Default: No tags.